#!/bin/bash

source `which setPortNumbers.sh`

function launch() {
  # This expects three parameters: first the command, second the run number and 
  # third a number to signify if the V1720s are simulated.
  ds50MasterControl.rb -s -c $1 \
    --v1720 $readerHost,$frPort0,0,0 \
    --v1720 $readerHost,$frPort1,1,0 \
    --v1495 $readerHost,$frPort2,3,32768 \
    --eb $builderHost,$ebPort0,2 \
    --ag $aggregatorHost,$agPort0,4 \
    --ag $aggregatorHost,$agPort1,4 \
    --ag $aggregatorHost,$agPort2,4 \
    --data-dir /home/sfoulkes/data \
    --run-number $2
}

if [ $# == "0" ]; then
  echo "Usage: $0 command [options]"
  echo "  start [run]"
  echo "  init [sim]"
  echo "  stop"
  echo "  pause"
  echo "  resume"
  echo "  shutdown"
  exit
fi

if [[ "$1" == "stop" || "$1" == "resume" || "$1" == "pause" || "$1" == "shutdown" || "$1" == "init" ]]; then
  launch $1 "101"
elif [[ "$1" == "start" ]]; then
  launch $1 "$2"
fi
