#!/bin/bash

source `which setPortNumbers.sh`

function launch() {
  # This expects three parameters: first the command, second the run number and 
  # third a number to signify if the V1720s are simulated.
  ds50MasterControl.rb -s -c $1 \
    --v1720 $readerHost,$frPort0,0,$3 \
    --v1720 $readerHost,$frPort1,1,$3 \
    --v1720 $readerHost,$frPort2,2,$3 \
    --v1720 $readerHost,$frPort3,3,$3 \
    --eb $builderHost,$ebPort0,0 \
    --eb $builderHost,$ebPort1,0 \
    --eb $builderHost,$ebPort2,0 \
    --eb $builderHost,$ebPort3,0 \
    --eb $builderHost,$ebPort4,0 \
    --eb $builderHost,$ebPort5,0 \
    --ag $aggregatorHost,$agPort0,6,1 \
    --data-dir /home/sfoulkes/data \
    --run-number "$2"
}

if [ $# == "0" ]; then
  echo "Usage: $0 command [options]"
  echo "  start [run]"
  echo "  init [sim]"
  echo "  stop"
  echo "  pause"
  echo "  resume"
  echo "  shutdown"
  exit
fi

if [[ "$1" == "stop" || "$1" == "resume" || "$1" == "pause" || "$1" == "shutdown" ]]; then
  launch $1 "101" "1"
elif [[ "$1" == "start" ]]; then
  launch $1 "$2" "1"
elif [[ "$1" == "init" ]]; then
  launch $1 "101" "$2"
fi