#!/bin/bash

source `which setPortNumbers.sh`

# create the configuration file for PMT
tempFile="/tmp/pmtConfig.$$"

echo "boardreader dsfr1 $frPort0" >> $tempFile
echo "boardreader dsfr1 $frPort1" >> $tempFile
echo "boardreader dsfr1 $frPort2" >> $tempFile
echo "boardreader dsfr1 $frPort3" >> $tempFile
echo "boardreader dsfr2 $frPort4" >> $tempFile
echo "boardreader dsfr2 $frPort5" >> $tempFile
echo "eventbuilder dseb1 $ebPort0" >> $tempFile
echo "eventbuilder dseb1 $ebPort1" >> $tempFile
echo "eventbuilder dseb1 $ebPort2" >> $tempFile
echo "eventbuilder dseb1 $ebPort3" >> $tempFile
echo "eventbuilder dseb2 $ebPort0" >> $tempFile
echo "eventbuilder dseb2 $ebPort1" >> $tempFile
echo "eventbuilder dseb2 $ebPort2" >> $tempFile
echo "eventbuilder dseb2 $ebPort3" >> $tempFile
echo "eventbuilder dseb3 $ebPort0" >> $tempFile
echo "eventbuilder dseb3 $ebPort1" >> $tempFile
echo "eventbuilder dseb3 $ebPort2" >> $tempFile
echo "eventbuilder dseb3 $ebPort3" >> $tempFile
echo "eventbuilder dseb4 $ebPort0" >> $tempFile
echo "eventbuilder dseb4 $ebPort1" >> $tempFile
echo "eventbuilder dseb4 $ebPort2" >> $tempFile
echo "eventbuilder dseb4 $ebPort3" >> $tempFile
echo "aggregator   dsag  $agPort0" >> $tempFile  # remember to change agg node below!
echo "aggregator   dsag  $agPort1" >> $tempFile  # remember to change agg node below!

# clean up any stale shared memory segment on the aggregator machine
rsh dsag "ipcs | grep 0x4f4d4f4e | awk '{print \$2}' | xargs ipcrm -m 2>/dev/null"

# start PMT
pmt.rb -p $pmtPort -d $tempFile --logpath /daqlogs --display :50.0
rm $tempFile
