#!/bin/bash

source `which setPortNumbers.sh`

# create the configuration file for PMT
tempFile="/tmp/pmtConfig.$$"

echo "boardreader  dsfr6 $frPort0" >> $tempFile
echo "boardreader  dsfr6 $frPort1" >> $tempFile
echo "boardreader  dsfr6 $frPort2" >> $tempFile
echo "eventbuilder dseb8 $ebPort0" >> $tempFile
echo "eventbuilder dseb8 $ebPort1" >> $tempFile
echo "eventbuilder dseb8 $ebPort2" >> $tempFile
echo "eventbuilder dseb8 $ebPort3" >> $tempFile
echo "eventbuilder dseb8 $ebPort4" >> $tempFile
echo "aggregator   dsfr6 $agPort0" >> $tempFile  # remember to change agg node below!
echo "aggregator   dsfr6 $agPort1" >> $tempFile  # remember to change agg node below!

# clean up any stale shared memory segment on the aggregator machine
ssh dsfr6 "ipcs | grep 0x4f4d4f4e | awk '{print \$2}' | xargs ipcrm -m 2>/dev/null"

# start PMT
pmt.rb -p $pmtPort -d $tempFile --logpath /daqlogs --display :50.0
rm $tempFile
